<?php
foreach ($this->data as $key => $value) {
    ?>
    <div class="deka">
        <h3>
            <a href="<?= $value['url'] ?>" title="<?= $value['title'] ?>">
                <?= $value['title'] ?>
            </a>
        </h3>
        <a href="<?= $value['url'] ?>" class="img" title="<?= $value['title'] ?>">
            <img src="/images/eshop_categories/<?= $value['category_id'] ?>.jpg" alt="<?= $value['title'] ?>" />
        </a>
    </div>
    <?php } ?>
<div id="text">
    <?php
    if ($this->display == "impressum") {
        ?>
        <div id="about">
            <h2>Impressum</h2>
            <p><?= $this->texts['kontakt']; ?>
            </p>
        </div>
        <?php
    } elseif ($this->display == "terms") {
        ?>
        <div id="about">
            <h2><?= $this->texts['podminky']['title'] ?></h2>
            <?= $this->texts['podminky']['text']; ?>
        </div>
        <?php
    } elseif (($this->display == 'shops') and ( !empty($this->shops))) {
        ?>
        <div id="about">
            <h2>
            <?php echo $this->str_resellers; ?>
            </h2>
            <?php
            foreach ($this->shops as $array) {
                /* Tento mechanismus rozřazuje obchody podle města.
                 * Název města se pak použije jako nadpis, ale nechceme aby se opakoval vícekrát.
                 * Při prvním průchodu polem obchodů je 'aktualcity' ještě prázdná, tak jí přidělíme hodnotu prvního města.
                 */
                if (empty($aktualcity)) {
                    $aktualcity = $array['shop_city'];
                    echo "<h3>$aktualcity</h3><br/>";
                }
                if (!("" . $aktualcity == "" . $array['shop_city'])) {
                    $aktualcity = $array['shop_city'];
                    echo "<h3>$aktualcity</h3><br/>";
                }
                echo "<p>";
                echo "<strong>" . $array['shop_name'] . "</strong><br/>";
                echo $array['shop_address'] . ", " . $array['shop_quarter'] . ", " . $array['shop_psc'] . "<br/>";
                echo "sortiment: " . $array['shop_assortment'] . "<br/>";
                if (!empty($array['shop_www'])) {
                    echo "<a href='http://" . $array['shop_www'] . "' target='_blank'>" . $array['shop_www'] . "</a>, ";
                }
                if (!empty($array['shop_map'])) {
                    echo "<a href='" . $array['shop_map'] . "' target='_blank'>mapa</a>";
                }
                echo "</p>";
            }
            ?>
        </div>
<?php } else { 
    $fb1 = (APP_LOCALE == 'cz') ? "https://www.facebook.com/vlnene.deky" : "https://www.facebook.com/Wolldecken-Balkanova-463759116995386/";
    $fb2 = (APP_LOCALE == 'cz') ? "http://www.facebook.com/pages/Balkanova/242755652478716" : "https://www.facebook.com/Wolldecken-Balkanova-463759116995386/";
    ?>
        <div id="about" style="position: relative">
            <div style="position: absolute; top: 15px; left: 30px; z-index: 10;" class="fb-like" data-href="<?= $fb1 ?>" data-layout="standard" data-action="like" data-show-faces="false" data-share="false"></div>
            <h2 style="padding-top: 35px"><?= $this->str_aboutourproducts ?></h2>
        <?= $this->texts['vyrobky']['text']; ?>
        </div>
<?php } ?>

    <div class="infotext">
        <?php
        /* Pokud uživatel vyplnil do aktuality nějaký text, tak se zobrazí gif nadpis "Aktuality" a následně i obrázky
         * nových výrobků (opět pouze pokud jsou vyplněny).                 *
         */
        if (!empty($this->texts['aktualita']['text'])) {
            echo "<h2>" . $this->str_news . "</h2>";
            echo "<p>";
            echo $this->texts['aktualita']['text'];
            echo "</p>";
        }
        if (!empty($this->texts['aktualProdukt1']['text']) or ! empty($this->texts['aktualProdukt2']['text']) or ! empty($this->texts['aktualProdukt3']['text'])) {
            echo "<div style='text-align: center'>";
            if (!empty($this->texts['aktualProdukt1']['text'])) {
                echo "<a href='/products/?productId=" . $this->texts['aktualProdukt1']['text'] . "' title='Nové zboží " . $this->texts['aktualProdukt1']['text'] . "' onclick=\"return !OpenMyWin(this,'_okno');\">";
                echo "<img src='/img_products/" . $this->texts['aktualProdukt1'] . ".jpg' style='width: 70px; height:70 px; margin-right: 15px' /></a>";
            }
            if (!empty($this->texts['aktualProdukt2']['text'])) {
                echo "<a href='/products/?productId=" . $this->texts['aktualProdukt2'] . "' title='Nové zboží " . $this->texts['aktualProdukt1']['text'] . "' onclick=\"return !OpenMyWin(this,'_okno');\">";
                echo "<img src='/img_products/" . $this->texts['aktualProdukt2'] . ".jpg' style='width: 70px; height:70 px; margin-right: 15px; margin-left: 15px' /></a>";
            }
            if (!empty($this->texts['aktualProdukt3']['text'])) {
                echo "<a href='/products/?productId=" . $this->texts['aktualProdukt3'] . "' title='Nové zboží " . $this->texts['aktualProdukt1']['text'] . "' onclick=\"return !OpenMyWin(this,'_okno');\">";
                echo "<img src='/img_products/" . $this->texts['aktualProdukt3'] . ".jpg' style='width: 70px; height:70 px; margin-left: 15px' /></a>";
            }
            echo "</div>";
        }
        
        if (APP_ID == 1) {
            ?>
            <h2><?= $this->str_shop; ?></h2>
            <p>
                <?= $this->texts['obchod']['text']; ?>
            </p> 
            <!--
            <h2><?= $this->str_resellers; ?></h2>
            <p>
                <a href="/?display=shops">
                    <img src="/graphics/mapa.png" style="" alt="Mapa ČR" />
                </a>
            </p>-->
<?php }; ?>
        <h2><?= $this->str_about ?></h2>
        <p>
<?php echo $this->texts['onas']['text']; ?>
        </p>

        <h2>Facebook</h2>
        <p>
            <a href="<?= $fb2 ?>" target="_blank"><?= $this->str_facebook_claim; ?></a>
        </p>
        <div style="margin-left: 35px;" class="fb-like" data-href="<?= $fb1 ?>" data-layout="standard" data-action="like" data-show-faces="true" data-share="true"></div>
        <div id="address">
            <h2><?= (APP_ID == 1) ? $this->str_contact_cz : $this->str_contact_de ?></h2>
            <p>
<?php echo $this->texts['kontakt']['text']; ?>
            </p>
        </div>
    </div>
</div>
